from .qpms_cdefs cimport *

cimport numpy as np

cdef class BaseSpec:
    cdef qpms_vswf_set_spec_t s
    cdef np.ndarray __ilist

    @staticmethod
    cdef BaseSpec from_cpointer(const qpms_vswf_set_spec_t *orig)
    cdef qpms_vswf_set_spec_t *rawpointer(BaseSpec self)
